# Class SSISet

java.lang.Object
org.apache.catalina.ssi.SSISet

All Implemented Interfaces:
  `SSICommand`

public class SSISet extends Object implements SSICommand
Implements the Server-side #set command.

## Constructor Summary

Constructors
Constructor
Description
`SSISet()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`long`
`process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)`
Process the SSI #set command.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SSISet

public SSISet()
Default constructor.

## Method Details

### process

public long process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer) throws SSIStopProcessingException
Process the SSI #set command.

Specified by:
  `process` in interface `SSICommand`
Parameters:
  `ssiMediator` - the SSI mediator
  `commandName` - the command name
  `paramNames` - the parameter names
  `paramValues` - the parameter values
  `writer` - the print writer for output
Returns:
  the last modified timestamp
Throws:
  `SSIStopProcessingException` - if processing should stop